Improper Authentication Affecting www.velocidex.com/golang/velociraptor/crypto/client package, versions *


0.0
low
  • Attack Complexity

    High

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-GOLANG-WWWVELOCIDEXCOMGOLANGVELOCIRAPTORCRYPTOCLIENT-2964211

  • published

    31 Jul 2022

  • disclosed

    31 Jul 2022

  • credit

    Tim Goddard CyberCX

How to fix?

A fix was pushed into the master branch but not yet published.

Overview

www.velocidex.com/golang/velociraptor/crypto/client is a tool for collecting host based state information using The Velociraptor Query Language (VQL) queries.

Affected versions of this package are vulnerable to Improper Authentication due to a bug in the handling of the communication between the client and server, it was possible for one client, already registered with their own client ID, to send messages to the server claiming to come from another client ID.